Retry message delivery
Re-run the message pipeline to deliver to all active endpoints again.
POST
/applications/{appId}/messages/{msgId}/retry
Re-run the message pipeline to deliver to all active endpoints again.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
appId
string
required
path
Application ID
msgId
string
required
path
Message ID
Responses
200
Message retry initiated
application/jsonretried
boolean
REQUIRED
401
Unauthorized
404
Message not found
curl -X POST 'https://hookstream.io/v1/applications/string/messages/string/retry' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/applications/string/messages/string/retry', {
method: 'POST',
headers: {
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN'
}
response = requests.post('https://hookstream.io/v1/applications/string/messages/string/retry', headers=headers)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("POST", "https://hookstream.io/v1/applications/string/messages/string/retry", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
result, _ := io.ReadAll(resp.Body)
fmt.Println(string(result))
}
200
Response
{
"retried": true
}
POST
/applications/{appId}/messages/{msgId}/retry